libmp3splt: splt_plugin_func Struct Reference

| libmp3splt 0.9.3.1519 Lossless library for splitting audio formats like mp3, ogg vorbis and FLAC. |

Loading...
Searching...
No Matches
splt_plugin_func Struct Reference
Using libmp3splt » Confirmation and error codes » Options » Input filename and paths » Splitpoints handling » Tags handling » Split functions » Import splitpoints » Export splitpoints » Wrap utilities » Other utilities » Creating libmp3splt plugins

`#include <mp3splt.h>`

## Data Fields
void(* | splt_pl_init )(splt_state *state, splt_code *error)
void(* | splt_pl_end )(splt_state *state, splt_code *error)
int(* | splt_pl_check_plugin_is_for_file )(splt_state *state, splt_code *error)
void(* | splt_pl_set_plugin_info )(splt_plugin_info *information, splt_code *error)
double(* | splt_pl_split )(splt_state *state, const char *final_fname, double begin_point, double end_point, splt_code *error, int save_end_point)
void(* | splt_pl_set_original_tags )(splt_state *state, splt_code *error)
void(* | splt_pl_clear_original_tags )(splt_original_tags *original_tags)
int(* | splt_pl_scan_silence )(splt_state *state, splt_code *error)
int(* | splt_pl_scan_trim_silence )(splt_state *state, splt_code *error)
void(* | splt_pl_search_syncerrors )(splt_state *state, splt_code *error)
int(* | splt_pl_offset_split )(splt_state *state, const char *output_fname, off_t begin, off_t end)
void(* | splt_pl_dewrap )(splt_state *state, int listonly, const char *dir, splt_code *error)
void(* | splt_pl_import_internal_sheets )(splt_state *state, splt_code *error)

## Detailed Description

Libmp3splt plugin API.

Warning
  The plugin API might still change.

In order to create a plugin for libmp3splt, the following functions can be implemented.
Mandatory functions are splt_pl_init, splt_pl_end, splt_pl_check_plugin_is_for_file, splt_pl_set_plugin_info and splt_pl_split.

Examples can be found for the mp3, ogg vorbis FLAC implementations.

Definition at line 2172 of file mp3splt.h.

The documentation for this struct was generated from the following file:

- include/libmp3splt/mp3splt.h